---
# Activation de l'authentification au ldap Libre Entreprise

- name: ajout du serveur LDAP
  lineinfile:
    path: "/root/greenlight/.env"
    regexp: "LDAP_SERVER="
    line: "LDAP_SERVER=ldap.libre-entreprise.org"

- name: ajout du LDAP_PORT
  lineinfile:
    path: "/root/greenlight/.env"
    regexp: "LDAP_PORT="
    line: "LDAP_PORT=636"

- name: ajout du LDAP_METHOD
  lineinfile:
    path: "/root/greenlight/.env"
    regexp: "LDAP_METHOD="
    line: "LDAP_METHOD=ssl"

- name: ajout du LDAP_UID
  lineinfile:
    path: "/root/greenlight/.env"
    regexp: "LDAP_UID="
    line: "LDAP_UID=uid"

- name: ajout du LDAP_BASE
  lineinfile:
    path: "/root/greenlight/.env"
    regexp: "LDAP_BASE="
    line: "LDAP_BASE=o=libre-entreprise"
  notify:
    - restart greenlight
